# Chrome Policy API

The Chrome Policy API is a suite of services that allows Chrome administrators to control the policies applied to their managed Chrome OS devices and Chrome browsers.

- [REST Resource: v1.customers.policies](https://developers.google.com/chrome/policy/reference/rest#v1.customers.policies)
- [REST Resource: v1.customers.policies.groups](https://developers.google.com/chrome/policy/reference/rest#v1.customers.policies.groups)
- [REST Resource: v1.customers.policies.networks](https://developers.google.com/chrome/policy/reference/rest#v1.customers.policies.networks)
- [REST Resource: v1.customers.policies.orgunits](https://developers.google.com/chrome/policy/reference/rest#v1.customers.policies.orgunits)
- [REST Resource: v1.customers.policySchemas](https://developers.google.com/chrome/policy/reference/rest#v1.customers.policySchemas)
- [REST Resource: v1.media](https://developers.google.com/chrome/policy/reference/rest#v1.media)

## Service: chromepolicy.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://chromepolicy.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://chromepolicy.googleapis.com`

## REST Resource: [v1.customers.policies](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies/resolve` | `POST /v1/{customer=customers/*}/policies:resolve` Gets the resolved policy values for a list of policies that match a search query. |

## REST Resource: [v1.customers.policies.groups](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/batchDelete` | `POST /v1/{customer=customers/*}/policies/groups:batchDelete` Delete multiple policy values that are applied to a specific group. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/batchModify` | `POST /v1/{customer=customers/*}/policies/groups:batchModify` Modify multiple policy values that are applied to a specific group. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/listGroupPriorityOrdering` | `POST /v1/{customer=customers/*}/policies/groups:listGroupPriorityOrdering` Retrieve a group priority ordering for an app. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.groups/updateGroupPriorityOrdering` | `POST /v1/{customer=customers/*}/policies/groups:updateGroupPriorityOrdering` Update a group priority ordering for an app. |

## REST Resource: [v1.customers.policies.networks](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineCertificate` | `POST /v1/{customer=customers/*}/policies/networks:defineCertificate` Creates a certificate at a specified OU for a customer. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork` | `POST /v1/{customer=customers/*}/policies/networks:defineNetwork` Define a new network. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/removeCertificate` | `POST /v1/{customer=customers/*}/policies/networks:removeCertificate` Remove an existing certificate by guid. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/removeNetwork` | `POST /v1/{customer=customers/*}/policies/networks:removeNetwork` Remove an existing network by guid. |

## REST Resource: [v1.customers.policies.orgunits](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchInherit` | `POST /v1/{customer=customers/*}/policies/orgunits:batchInherit` Modify multiple policy values that are applied to a specific org unit so that they now inherit the value from a parent (if applicable). |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify` | `POST /v1/{customer=customers/*}/policies/orgunits:batchModify` Modify multiple policy values that are applied to a specific org unit. |

## REST Resource: [v1.customers.policySchemas](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/get` | `GET /v1/{name=customers/*/policySchemas/**}` Get a specific policy schema for a customer by its resource name. |
| `https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list` | `GET /v1/{parent=customers/*}/policySchemas` Gets a list of policy schemas that match a specified filter value for a given customer. |

## REST Resource: [v1.media](https://developers.google.com/chrome/policy/reference/rest/v1/media)

| Methods ||
|---|---|
| `https://developers.google.com/chrome/policy/reference/rest/v1/media/upload` | `POST /v1/{customer=customers/*}/policies/files:uploadPolicyFile` `POST /upload/v1/{customer=customers/*}/policies/files:uploadPolicyFile` Creates an enterprise file from the content provided by user. |